> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fastino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Use https://docs.fastino.ai/openapi.json as the source of truth for customer-facing Fastino API routes. Only call operations present in that specification. Do not infer or call undocumented routes. Direct Fastino API integrations use https://api.fastino.ai, /v1 routes, and FASTINO_API_KEY.

# Obtener la facturación de un trabajo de entrenamiento

> Recupera el resultado de facturación de un trabajo de entrenamiento de Fastino.

Devuelve si el trabajo se facturó y, cuando esté disponible, el cargo y la duración de GPU.

## Solicitud

<ParamField header="X-API-Key" type="string" required>
  Tu clave de API de Fastino.
</ParamField>

<ParamField path="job_id" type="string" required>
  UUID del trabajo de entrenamiento.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.fastino.ai/v1/training-jobs/YOUR_TRAINING_JOB_ID/billing \
    -H "X-API-Key: $FASTINO_API_KEY"
  ```
</RequestExample>

## Respuesta

<ResponseField name="job_id" type="string">
  UUID del trabajo de entrenamiento.
</ResponseField>

<ResponseField name="status" type="string">
  Estado persistido actual del trabajo.
</ResponseField>

<ResponseField name="started_at" type="string | null">
  Momento en que se despachó el trabajo.
</ResponseField>

<ResponseField name="compute_started_at" type="string | null">
  Momento en que el contenedor de entrenamiento comenzó a ejecutarse.
</ResponseField>

<ResponseField name="completed_at" type="string | null">
  Momento en que se completó el trabajo.
</ResponseField>

<ResponseField name="billed" type="boolean">
  Si existe un registro de facturación.
</ResponseField>

<ResponseField name="request_id" type="string | null">
  ID de la solicitud de facturación asociada.
</ResponseField>

<ResponseField name="charged_usd" type="string | null">
  Importe cobrado en USD, representado como una cadena decimal.
</ResponseField>

<ResponseField name="gpu_minutes" type="string | null">
  Minutos de GPU facturados, representados como una cadena decimal.
</ResponseField>

<ResponseField name="billed_at" type="string | null">
  Momento en que se creó el registro de facturación.
</ResponseField>

<ResponseExample>
  ```json Response theme={null}
  {
    "job_id": "YOUR_TRAINING_JOB_ID",
    "status": "complete",
    "started_at": "2026-09-22T20:00:00Z",
    "compute_started_at": "2026-09-22T20:01:00Z",
    "completed_at": "2026-09-22T20:31:00Z",
    "billed": true,
    "request_id": "REQUEST_ID",
    "charged_usd": "3.25",
    "gpu_minutes": "30.0",
    "billed_at": "2026-09-22T20:32:00Z"
  }
  ```
</ResponseExample>

Un trabajo desconocido o inaccesible devuelve `404`.
